﻿////////////////////////////////////////////////////////////////////////
//                              MMMMMMMMMMMMMMMMM                     //
//                       MM     MMMMMMMMMMMMMMM M                    //
//                       MMM                MM M                    //
//          MMMM         MMM               MM M                    //
//        MMMMMMM      MMMM               MM M                    //
//           MMMM     MMM                MM M                    // 
//            MMMM  MMM                 MM M                    //
//             MMM MMM                 MM M                    //
//             MMMMM                  MM M                    //
//             MMMM                  MM M                    //  
//           MMMMMM                 MM M                    //
//          MMM  MMM               MM M MMMMMMMMMMMMMM     //
//        MMM    MMM              MMMMMMMMMMMMMMMMMMMM    //
//       MMM      MMMMMM                                 //
//     MMM        MMMMM                                 // 
//    MMM                                              //        
//   MMM                                              //       
//  MMM                                              //         
//  MM                                              //                 
//  MM                                             //                                         
//   MM     Holograph Emulator XZ Edit New r1.1   //                                       
///////////////////////////////////////////////////

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Holo.Managers;

namespace Holo.Source.Socket_servers.Game_Socketsystem
{
    public class SecurityManagement
    {
        private static List<string> mBannedAddresses;
        private static string mLastBannedAddress;

        internal static void Init()
        {
            mBannedAddresses = new List<string>();
            mLastBannedAddress = "";
        }

        internal static bool ConnectionBanned(string pIP)
        {
            if (mLastBannedAddress == pIP) //Connection banned
                return true;
            else if (mBannedAddresses.Contains(pIP)) //Connection banned
            {
                mLastBannedAddress = pIP;
                return true;
            }
            else if (userManager.getBanReason(pIP).Length > 0) //Connection banned
            {
                mBannedAddresses.Add(pIP);
                mLastBannedAddress = pIP;
                return true;
            }
            else //Connection allowed
                return false; 
        }

        internal static void BanAddress(string IP)
        {
            mBannedAddresses.Add(IP);
            mLastBannedAddress = IP;
        }
    }
}
